CREATE TABLE loy_txn_bu (
    LOY_TXN_BU_ID            NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)    NOT NULL,
    TXN_ID                   NUMBER(18, 0)    NOT NULL,
    BU_ID                    NUMBER(18, 0)    NOT NULL,
    TXN_NUM                  VARCHAR2(120)    NOT NULL,
    TXN_STATUS_CODE          VARCHAR2(120)    NOT NULL,
    TXN_SUB_TYPE_CODE        VARCHAR2(120)    NOT NULL,
    TXN_TYPE_CODE            VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LOY_TXN_BU_ID            NUMBER(18, 0),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)    NOT NULL,
    TXN_ID                   NUMBER(18, 0)    NOT NULL,
    BU_ID                    NUMBER(18, 0)    NOT NULL,
    TXN_NUM                  VARCHAR2(120)    NOT NULL,
    TXN_STATUS_CODE          VARCHAR2(120)    NOT NULL,
    TXN_SUB_TYPE_CODE        VARCHAR2(120)    NOT NULL,
    TXN_TYPE_CODE            VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_loy_txn_bu PRIMARY KEY (LOY_TXN_BU_ID, LOY_TXN_BU_ID)
);
